AcDbPolyline与AcDb2dPolyline

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/chunyexiyu/article/details/9332743

参考:http://docs.autodesk.com/ACD/2011/CHS/filesDXF/WS1a9193826455f5ff18cb41610ec0a2e719-79fc.htm

AcDbPolyline的组码是  LWPOLYLINE   (LW-Low Level)

AcDb2dPolyline的组码是  POLYLINE

 

LWPOLYLINE  是简单Polyline, 所包含的对象在本身内部

POLYLINE 是复杂的实体,所包含的对象不再本身内部,而也是独立的点对象

 

对于这两种来说,常用的时AcDbPolyline(LWPOLYLINE ),AcDb2dPolyline是旧版的,不常用,逐步淘汰中。

 

如果想要在AutoCAD中绘制AcDb2dPolyline的话,方法如下:

修改参数:PLINETYPE

命令: PLINETYPE
输入 PLINETYPE 的新值 <2>: 0
命令:

PLINETYPE指定是否使用优化的二维多段线。 PLINETYPE 控制如何使用 PLINE 命令创建新多段线以及是否转换早期版本图形中的现有多段线。

0

打开旧图形时不转换其中的多段线;PLINE 创建旧格式的多段线

1

打开旧图形时不转换其中的多段线;PLINE 创建优化的多段线

2

打开 AutoCAD 14 或旧图形时转换其中的多段线;PLINE 创建优化的多段线

 

程序中转换的方法:AcDb2dPolyline<-->AcDbPolyline

在AcDbPolyline中有定义方法,用作两者之间的转换

AcDbPolyline::convertFrom Function       

     This fills theAcDbPolyline with data from theAcDb2dPolyline pointed to bypEnt.        

AcDbPolyline::convertTo Function

     This function creates an AcDb2dPolyline from theAcDbPolyline and setspPline to point to the newly createdAcDb2dPolyline.

 

 

Owed by: 春夜喜雨 http://blog.csdn.net/chunyexiyu  转载请标明来源 

 

没有更多推荐了,返回首页